<?php


/**
 * @class       Woo_Social_Share_Discount_Coupon_Admin_Display
 * @version		1.0.0
 * @package		woo-social-share-discount-coupon
 * @category	Class
 * @author     Multidots <inquiry@multidots.in>
 */
class Woo_Social_Share_Discount_Coupon_Admin_Display {
	
	/**
     * Hook in methods
     * @since    0.1.0
     * @access   static
     */
	public static function init() {

		add_action('admin_menu', array(__CLASS__, 'add_settings_menu'));
	}
	public static function add_settings_menu() {
		add_menu_page('WSSDC Settings', 'WSSDC Settings Page', 'manage_options', 'wssdcpage',array(__CLASS__, 'wssdc_general_setting'));
	}
	
	/**
     * wssdc_general_setting_fields helper will trigger hook and handle all the settings section 
     * @since    0.1.0
     * @access   public
     */
	public static function wssdc_general_setting_fields() {
		$fields[] = array(
			'title' => __('Woo Social Share Discount Coupon General Settings', 'woo-social-share-discount-coupon'),
			'type' => 'title',
			'id' => 'general_options_setting'
		);
		
		$fields[] = array(
			'title' => __('Enable Facebook Sharing', 'woo-social-share-discount-coupon'),
			'id' => 'wssdc_fb_share',
			'type' => 'checkbox',
			'label' => __('Select if you want to enable Facebook sharing', 'woo-social-share-discount-coupon'),
			'default' => '',
			'class'=>'checkbox',
			'desc' => sprintf(__('Select if you want to enable Facebook sharing.', 'woo-social-share-discount-coupon'),'')
			
		);
		
//		$fields[] = array(
//			'title' => __('Facebook Application ID', 'woo-social-share-discount-coupon'),
//			'id' => 'wssdc_fb_id',
//			'type' => 'text',
//			'label' => __('Facebook Application ID', 'woo-social-share-discount-coupon'),
//			'default' => '',
//			'class'=>'regular-text',
//		);
//		
//		$fields[] = array(
//			'title' => __('Facebook Application Version', 'woo-social-share-discount-coupon'),
//			'id' => 'wssdc_fb_version',
//			'type' => 'text',
//			'label' => __('Facebook Application Version', 'woo-social-share-discount-coupon'),
//			'default' => '',
//			'class'=>'regular-text',
//		);


		$fields[] = array(
			'title' => __('Facebook Description', 'woo-social-share-discount-coupon'),
			'id' => 'wssdc_fb_desc',
			'type' => 'textarea',
			'label' => __('Facebook Description', 'woo-social-share-discount-coupon'),
			'default' => '',
			'class'=>'wssdc_textarea',
		);
		
		$fields[] = array(
			'title' => __('Enable Twitter Sharing', 'woo-social-share-discount-coupon'),
			'id' => 'wssdc_twitter_share',
			'type' => 'checkbox',
			'label' => __('Select if you want to enable Twitter sharing', 'woo-social-share-discount-coupon'),
			'default' => '',
			'class'=>'checkbox',
			'desc' => sprintf(__('Select if you want to enable Twitter sharing.', 'woo-social-share-discount-coupon'),'')
			
		);
		$fields[] = array(
			'title' => __('Twitter Description', 'woo-social-share-discount-coupon'),
			'id' => 'wssdc_twitter_desc',
			'type' => 'textarea',
			'label' => __('Twitter Description', 'woo-social-share-discount-coupon'),
			'default' => '',
			'class'=>'wssdc_textarea',
		);
		
		$fields[] = array(
			'title' => __('Coupon Amount', 'woo-social-share-discount-coupon'),
			'id' => 'wssdc_coupon_amt',
			'type' => 'number',
			'label' => __('Coupon Amount', 'woo-social-share-discount-coupon'),
			'default' => '',
			'class'=>'regular-text',
			'desc' => sprintf(__('Only numeric values allowed', 'woo-social-share-discount-coupon'),'')
		);
		$fields[] = array(
			'title' => __('Coupon Amount is in % ?', 'woo-social-share-discount-coupon'),
			'id' => 'wssdc_coupon_amt_type',
			'type' => 'checkbox',
			'label' => __('Coupon Amount is in % ?', 'woo-social-share-discount-coupon'),
			'default' => '',
			'class'=>'checkbox',
			'desc' => sprintf(__('Select checkbox if amount you entered above is in percentage.', 'woo-social-share-discount-coupon'),'')
			
		);
		
//		$fields[] = array(
//			'title' => __('Email Limit', 'woo-social-share-discount-coupon'),
//			'id' => 'wssdc_limit_amt',
//			'type' => 'number',
//			'label' => __('Email Limit', 'woo-social-share-discount-coupon'),
//			'default' => '',
//			'class'=>'regular-text',
//			'desc' => sprintf(__('Only numeric values allowed', 'woo-social-share-discount-coupon'),'')
//		);
		
		$fields[] = array(
			'title' => __('Enable Coupon on', 'woo-social-share-discount-coupon'),
			'id' => 'wssdc_share_option',
			'type' => 'radio',
			'label' => __('Enable Coupon on', 'woo-social-share-discount-coupon'),
			'default' => '0',
			'options' => array('Cart page','Thank you page'),
		);
			

		$fields[] = array('type' => 'sectionend', 'id' => 'general_options_setting');
		return $fields;
	}

	/**
     * wssdc_general_setting function is responsible for settings.
     */
	public static function wssdc_general_setting() {
		$genral_setting_fields = self::wssdc_general_setting_fields();
		$Html_output = new Woo_Social_Share_Discount_Coupon_Html_output();
		$Html_output->save_fields($genral_setting_fields);
		if (isset($_POST['wssdc_intigration'])):
            ?>
            <div id="setting-error-settings_updated" class="updated settings-error"> 
                <p><?php echo '<strong>' . __('Settings were saved successfully.', 'woo-social-share-discount-coupon') . '</strong>'; ?></p></div>

            <?php
            endif;

        ?>
       
        <div class="div_general_settings">
        <div class="div_log_settings">
	        <form id="button_manager_integration_form_general" enctype="multipart/form-data" action="" method="post">
	            <?php $Html_output->init($genral_setting_fields); ?>
	            <p class="submit">
	                <input type="submit" name="wssdc_intigration" class="button-primary" value="<?php esc_attr_e('Save Settings', 'Option'); ?>" />
	            </p>
	        </form>
        </div>

        <?php
        $current_user = wp_get_current_user();
        $wbl_plugin_notice_shown = get_option('wbl_plugin_notice_shown');
        if (!$wbl_plugin_notice_shown) {
            ?>
            <div id="dotstore_subscribe_dialog">
                <p><?php _e('Subscribe for the latest plugin update and get notified when we update our plugin and launch new products for free!', WSSDC_TEXT_DOMAIN); ?></p>
                <p><input type="text" id="txt_user_sub_wssdc" class="regular-text" name="txt_user_sub_wssdc" value="<?php echo $current_user->user_email; ?>"></p>
            </div>

        
             
        <script type="text/javascript">

        jQuery( document ).ready(function() {
        	jQuery("#dotstore_subscribe_dialog").dialog({
        modal: true, title: 'Subscribe To Our Newsletter', zIndex: 10000, autoOpen: true,
        width: '500', resizable: false,
        position: {my: "center", at: "center", of: window},
        dialogClass: 'dialogButtons',
        buttons: [
            {
                id: "Delete",
                text: "YES",
                click: function() {
                    var email_id = jQuery('#txt_user_sub_wssdc').val();
                    var data = {
                        'action': 'add_plugin_user_wssdc',
                        'email_id': email_id
                    };
                    // since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
                    jQuery.post(ajaxurl, data, function(response) {
                        jQuery('#dotstore_subscribe_dialog').html('<h2>You have been successfully subscribed</h2>');
                        jQuery(".ui-dialog-buttonpane").remove();
                    });
                }
            },
            {
                id: "No",
                text: "No, Remind Me Later",
                click: function() {
                    jQuery(this).dialog("close");
                }
            }
        ]
    });
    jQuery("div.dialogButtons .ui-dialog-buttonset button").removeClass('ui-state-default');
    jQuery("div.dialogButtons .ui-dialog-buttonset button").addClass("button-primary woocommerce-save-button");
        });
        </script>
        <?php
        
        } 

	}
}
Woo_Social_Share_Discount_Coupon_Admin_Display::init();

